Subject: bug#18514: 24.3; vc-dir sometimes guesses the wrong backend

From: Stefan Monnier <[email-masked]>
Date: Sun, 21 Sep 2014 17:48:44 -0400

> $ cd /tmp
> $ bzr init bzrinit
> $ bzr init-repo bzrinitrepo
> $ git init bzrinit/gitme
> $ git init bzrinitrepo/gitme

You can skip the "bzr init-repo bzrinitrepo" part since it doesn't make
any difference.  The problem is known: the two loops (the one that
cycles through the VCS backends and the one that cycles through the
various parent directories) are not nested in the right order.

Patch welcome.  In the mean: don't nest projects in each other if they
use the same backend.  Or try to make sure the inner VCS always comes
before the outer one in vc-handled-backends.

        Stefan